Package org.apache.xmlbeans.impl.values

## Class JavaLongHolderEx

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.JavaLongHolder
    - - org.apache.xmlbeans.impl.values.JavaLongHolderEx

- All Implemented Interfaces:
    `Serializable`, `TypeStoreUser`, `SimpleValue`, `XmlObject`, `XmlTokenSource`
  Direct Known Subclasses:
    `XmlLongRestriction`, `XmlUnsignedIntImpl`

      public abstract class JavaLongHolderEx
      extends JavaLongHolder

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, Factory, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaLongHolderEx​(SchemaType type, boolean complex)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SchemaType` | `schemaType()` |
    `protected void` | `set_long​(long v)` |
    `protected void` | `set_text​(String s)` | This should set the value of the type from text, or throw an XmlValueOutOfRangeException if it can't.
    `protected void` | `validate_simpleval​(String lexical, ValidationContext ctx)` |
    `static void` | `validateLexical​(String v, SchemaType sType, ValidationContext context)` |

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.JavaLongHolder

      `compare_to, compute_text, equal_to, getBigDecimalValue, getBigIntegerValue, getLongValue, set_BigDecimal, set_BigInteger, set_nil, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_text, get_default_attribute_value, get_default_element_text, get_element_ending_delimiters, get_element_type, get_elementflags, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_child_element_order_sensitive, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, new_visitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, set_b64, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_newValue, set_notation, set_QName, set_short, set_String, set_xmlanysimple, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, update_from_complex_content, uses_invalidate_value, validate, validate, validate_now, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaLongHolderEx

          public JavaLongHolderEx​(SchemaType type,
                                  boolean complex)

  - ### Method Detail

    - #### schemaType

          public SchemaType schemaType()

      Specified by:
        `schemaType` in interface `XmlObject`
      Overrides:
        `schemaType` in class `JavaLongHolder`
      Returns:
        The schema type for this instance. This is a permanent, unchanging property of the instance.

    - #### set_text

          protected void set_text​(String s)

      Description copied from class: `XmlObjectBase`
      This should set the value of the type from text, or throw an XmlValueOutOfRangeException if it can't.
      Overrides:
        `set_text` in class `JavaLongHolder`

    - #### set_long

          protected void set_long​(long v)

      Overrides:
        `set_long` in class `JavaLongHolder`

    - #### validateLexical

          public static void validateLexical​(String v,
                                             SchemaType sType,
                                             ValidationContext context)

    - #### validate_simpleval

          protected void validate_simpleval​(String lexical,
                                            ValidationContext ctx)

      Overrides:
        `validate_simpleval` in class `XmlObjectBase`